using System;
using System.IO;

public class CustomException : Exception
{
  object extraInfo;

  public CustomException(string message, object extra) : base(message)
  {
    extraInfo = extra;
  }

  public override string ToString()
  {
    return "CustomException: "  +
           extraInfo.ToString() +  "\n" +
           base.Message         +  "\n" +
           base.StackTrace;
  }
}

class CustomExceptionGenerator
{
  static void Main()
  {
    try
    {
      SomeMethod();
    }
    catch (CustomException ce)
    {
      Console.WriteLine(ce.ToString());
    }

    Console.ReadLine();
  }
                
  public static void SomeMethod()
  {
    //something went wrong
    throw new CustomException("Something went wrong", "ExtraInfo");
  }
}

