using System;

public class BaseClass
{
  public virtual void RunMe()
  {
    Console.WriteLine("BaseClass.");
  }
}

public class DerivedClass1 : BaseClass
{
  public override void RunMe()
  {
    Console.WriteLine("DerivedClass1.");
  }
}

public class DerivedClass2 : BaseClass
{
  public override void RunMe()
  {
    Console.WriteLine("DerivedClass2.");
  }
}

class Polymorphism
{
  static void Main()
  {
    BaseClass[] polyTypes =
    {
      new BaseClass(),
      new DerivedClass1(),
      new DerivedClass2()
    };

    foreach (BaseClass polyType in polyTypes)
    {
      polyType.RunMe();
    }
    
    Console.ReadLine();
  }
}

