using System;

public struct Point
{
  public int X;
  public int Y;

  public Point(int x, int y)
  {
    X = x;
    Y = y;
  }

  public static explicit operator Point(Offset of)
  {
    return new Point(of.X, of.Y);
  }
}

public struct Offset
{
  public int X;
  public int Y;

  public Offset(int x, int y)
  {
    X = x;
    Y = y;
  }

  public static implicit operator Offset(Point pt)
  {
    return new Offset(pt.X, pt.Y);
  }
}

class Conversions
{
  static void Main()
  {
    Point  pt1 = new Point(2, 3);
    Offset of1 = new Offset(4, 6);

    Offset of2 = pt1;
    Console.WriteLine("of2.X: {0} of2.Y: {1}", of2.X, of2.Y);

    Point pt2 = (Point)of1;
    Console.WriteLine("pt2.X: {0} pt2.Y: {1}", pt2.X, pt2.Y);

    Console.ReadLine();
  }
}
