using System;

namespace ModelView
{
	// model view generalization with BaseClass
	//	and realization with MyInterface
	public class MyClass : BaseClass, MyInterface
	{
		// model view association
		AssociatedClass associatedRef = new AssociatedClass();

		// model view dependency
		public void DependencyMethod(DependencyClass dependency) {}

		// supporting types that don't appear
		public delegate void MyNestedDelegate();
		public interface MyNestedInterface {};
		public enum MyNestedEnum {}
		public struct MyNestedStruct {}
		
		// model view attributes
		int[] myIntArray = new int[7];
		public int myInt;
		protected string myString;
		private float myFloat;
		internal decimal myDecimal;
		protected internal char myChar;

		// model view operations
		public MyClass() {}
		protected int MyProtectedMethod() { return 0; }
		private float MyPrivateMethod() { return 0.0f; }
		~MyClass() {}

		// model view properties
		public event MyNestedDelegate MyEvent;
		public float MyProperty
		{
			get { return myFloat; }
			set { myFloat = value; }
		}
		public int this[int index]
		{
			get { return myIntArray[index]; }
			set { myIntArray[index] = value; }
		}

		// model view classes
		private class NestedClass {}
	}
}
