using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace Toolbar
{
	/// <summary>
	/// Summary description for WinForm.
	/// </summary>
	public class WinForm : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.ToolBar toolBarMain;
		public System.Windows.Forms.ToolBarButton tbOpen;
		public System.Windows.Forms.ToolBarButton tbSave;
		private System.Windows.Forms.ImageList imgListMyApp;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem menuFile;
		private System.Windows.Forms.MenuItem menuFileOpen;
		private System.Windows.Forms.MenuItem menuFileSave;

		public WinForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			// Initialization of ToolBar buttons
			//	comes after InitializeComponent
			InitializeToolBarButtons();
		}

		private void InitializeToolBarButtons()
		{
			toolBarMain.Buttons[0].Tag = menuFileOpen;
			toolBarMain.Buttons[1].Tag = menuFileSave;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose (bool disposing)
		{
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(WinForm));
			this.toolBarMain = new System.Windows.Forms.ToolBar();
			this.tbOpen = new System.Windows.Forms.ToolBarButton();
			this.tbSave = new System.Windows.Forms.ToolBarButton();
			this.imgListMyApp = new System.Windows.Forms.ImageList(this.components);
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.menuFile = new System.Windows.Forms.MenuItem();
			this.menuFileOpen = new System.Windows.Forms.MenuItem();
			this.menuFileSave = new System.Windows.Forms.MenuItem();
			this.SuspendLayout();
			// 
			// toolBarMain
			// 
			this.toolBarMain.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
						this.tbOpen,
						this.tbSave});
			this.toolBarMain.DropDownArrows = true;
			this.toolBarMain.ImageList = this.imgListMyApp;
			this.toolBarMain.Location = new System.Drawing.Point(0, 0);
			this.toolBarMain.Name = "toolBarMain";
			this.toolBarMain.ShowToolTips = true;
			this.toolBarMain.Size = new System.Drawing.Size(292, 42);
			this.toolBarMain.TabIndex = 0;
			this.toolBarMain.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.toolBarMain_ButtonClick);
			// 
			// tbOpen
			// 
			this.tbOpen.ImageIndex = 0;
			this.tbOpen.Text = "Open";
			this.tbOpen.ToolTipText = "Open a File";
			// 
			// tbSave
			// 
			this.tbSave.ImageIndex = 1;
			this.tbSave.Text = "Save";
			this.tbSave.ToolTipText = "Save a File";
			// 
			// imgListMyApp
			// 
			this.imgListMyApp.ImageSize = new System.Drawing.Size(16, 16);
			this.imgListMyApp.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imgListMyApp.ImageStream")));
			this.imgListMyApp.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
						this.menuFile});
			// 
			// menuFile
			// 
			this.menuFile.Index = 0;
			this.menuFile.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
						this.menuFileOpen,
						this.menuFileSave});
			this.menuFile.Text = "&File";
			// 
			// menuFileOpen
			// 
			this.menuFileOpen.Index = 0;
			this.menuFileOpen.Text = "&Open";
			this.menuFileOpen.Click += new System.EventHandler(this.menuFileOpen_Click);
			// 
			// menuFileSave
			// 
			this.menuFileSave.Index = 1;
			this.menuFileSave.Text = "&Save";
			this.menuFileSave.Click += new System.EventHandler(this.menuFileSave_Click);
			// 
			// WinForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Controls.Add(this.toolBarMain);
			this.Menu = this.mainMenu1;
			this.Name = "WinForm";
			this.Text = "WinForm";
			this.ResumeLayout(false);
		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new WinForm());
		}

		protected void OpenFile()
		{
			MessageBox.Show("Called OpenFile.");
		}

		protected void SaveFile()
		{
			MessageBox.Show("Called SaveFile.");
		}

		private void menuFileOpen_Click(object sender, System.EventArgs e)
		{
			OpenFile();
		}

		private void menuFileSave_Click(object sender, System.EventArgs e)
		{
			SaveFile();
		}
		
		private void toolBarMain_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			MenuItem menu = (MenuItem)e.Button.Tag;

			menu.PerformClick();
		}
	}
}
