using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace PathGradientBrushes
{
	/// <summary>
	/// Summary description for WinForm.
	/// </summary>
	public class WinForm : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button btnChangeGradient;

		public WinForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose (bool disposing)
		{
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnChangeGradient = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// btnChangeGradient
			// 
			this.btnChangeGradient.Location = new System.Drawing.Point(96, 120);
			this.btnChangeGradient.Name = "btnChangeGradient";
			this.btnChangeGradient.Size = new System.Drawing.Size(104, 23);
			this.btnChangeGradient.TabIndex = 0;
			this.btnChangeGradient.Text = "Change Gradient";
			this.btnChangeGradient.Click += new System.EventHandler(this.btnChangeGradient_Click);
			// 
			// WinForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Controls.Add(this.btnChangeGradient);
			this.Name = "WinForm";
			this.Text = "WinForm";
			this.ResumeLayout(false);

			this.components = new System.ComponentModel.Container();
			this.Size = new System.Drawing.Size(300,300);
			this.Text = "WinForm";
		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new WinForm());
		}

 		protected override void OnPaint(PaintEventArgs pea)
		{
			base.OnPaint(pea);

			const int MaxColor        = 256;
			const int MaxColorObjects = 20;

			Random  rand   = new Random();
			Color[] colors = new Color[MaxColorObjects];
			int red, green, blue;

			for (int i=0; i < MaxColorObjects; i++)
			{
				red   = rand.Next(MaxColor);
				green = rand.Next(MaxColor);
				blue  = rand.Next(MaxColor);

				colors[i] = Color.FromArgb(red, green, blue);
			}

			const int MaxPoints = 20;
			Point[] points = new Point[MaxPoints];

			for (int i=0; i < MaxPoints; i++)
			{
				points[i].X = rand.Next(ClientRectangle.Width);
				points[i].Y = rand.Next(ClientRectangle.Height);
			}

			PathGradientBrush pathGradBrush = new PathGradientBrush(points);
			pathGradBrush.SurroundColors = colors;

			Graphics g = pea.Graphics;
			g.FillRectangle(pathGradBrush, ClientRectangle);
		}
		
		private void btnChangeGradient_Click(object sender, System.EventArgs e)
		{
			Invalidate();
		}
	}
}
