using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.IO;
using System.Windows.Forms;
using System.Data;

namespace TextureBrushes
{
	/// <summary>
	/// Summary description for WinForm.
	/// </summary>
	public class WinForm : System.Windows.Forms.Form
	{
		string[] imageFiles;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button btnChangeBackground;

		public WinForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			imageFiles = Directory.GetFiles(
				Environment.GetEnvironmentVariable(
				"windir"), "*.bmp");
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose (bool disposing)
		{
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnChangeBackground = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// btnChangeBackground
			// 
			this.btnChangeBackground.Location = new System.Drawing.Point(88, 120);
			this.btnChangeBackground.Name = "btnChangeBackground";
			this.btnChangeBackground.Size = new System.Drawing.Size(120, 23);
			this.btnChangeBackground.TabIndex = 0;
			this.btnChangeBackground.Text = "Change Background";
			this.btnChangeBackground.Click += new System.EventHandler(this.btnChangeBackground_Click);
			// 
			// WinForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Controls.Add(this.btnChangeBackground);
			this.Name = "WinForm";
			this.Text = "WinForm";
			this.ResumeLayout(false);
		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new WinForm());
		}
				
		protected override void OnPaint(PaintEventArgs pea)
		{
 			base.OnPaint(pea);

			int MaxImageFiles = imageFiles.Length;

			Random rand = new Random();
			int texture = rand.Next(MaxImageFiles);

			TextureBrush textureBrush =
				new TextureBrush(Image.FromFile(imageFiles[texture]));

			Graphics g = pea.Graphics;
			g.FillRectangle(textureBrush, ClientRectangle);
		}


		private void btnChangeBackground_Click(object sender, System.EventArgs e)
		{
			Invalidate();
		}

   	}
}
