using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace OkCancelApply
{
	/// <summary>
	/// Summary description for UserControl.
	/// </summary>
	public class OkCancelApply : System.Windows.Forms.UserControl
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Button btnApply;

		public OkCancelApply()
		{
			// This call is required by the Windows.Forms Designer.
			InitializeComponent();

			// TODO: Add any initialization after the InitForm call

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null)
					components.Dispose();
			}
			base.Dispose(disposing);
		}

		#region Component Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnOK = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnApply = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// btnOK
			// 
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnOK.Location = new System.Drawing.Point(8, 9);
			this.btnOK.Name = "btnOK";
			this.btnOK.Size = new System.Drawing.Size(72, 23);
			this.btnOK.TabIndex = 0;
			this.btnOK.Text = "OK";
			this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
			// 
			// btnCancel
			// 
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCancel.Location = new System.Drawing.Point(96, 9);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.Size = new System.Drawing.Size(72, 23);
			this.btnCancel.TabIndex = 1;
			this.btnCancel.Text = "Cancel";
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// btnApply
			// 
			this.btnApply.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnApply.Location = new System.Drawing.Point(184, 9);
			this.btnApply.Name = "btnApply";
			this.btnApply.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.btnApply.Size = new System.Drawing.Size(72, 23);
			this.btnApply.TabIndex = 2;
			this.btnApply.Text = "Apply";
			this.btnApply.Click += new System.EventHandler(this.btnApply_Click);
			// 
			// UserControl
			// 
			this.Controls.Add(this.btnApply);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.btnOK);
			this.Name = "UserControl";
			this.Size = new System.Drawing.Size(272, 40);
			this.ResumeLayout(false);
		}
		#endregion

		public new event EventHandler Click;

		private DialogButton m_buttonClicked = DialogButton.Cancel;

		public DialogButton ClickedButton
		{
			get
			{
				return m_buttonClicked;
			}
			set
			{
				switch (value)
				{
					case DialogButton.OK:
					case DialogButton.Cancel:
					case DialogButton.Apply:
						m_buttonClicked = value;
						break;
					default:
						m_buttonClicked = DialogButton.Cancel;
						break;
				}
			}
		}

		public void InvokeClickEvent()
		{
			if (Click != null)
			{
				Click(this, EventArgs.Empty);
			}
		}

		private void btnOK_Click(object sender, System.EventArgs e)
		{
			ClickedButton = DialogButton.OK;
			InvokeClickEvent();
		}
		
		private void btnApply_Click(object sender, System.EventArgs e)
		{
			ClickedButton = DialogButton.Apply;
			InvokeClickEvent();
		}
		
		private void btnCancel_Click(object sender, System.EventArgs e)
		{
			ClickedButton = DialogButton.Cancel;
			InvokeClickEvent();
		}
	}
}
