using System;
using System.Collections;
using System.ComponentModel;
using System.Web;
using System.Web.SessionState;

namespace Global
{
	/// <summary>
	/// Summary description for Global.
	/// </summary>
	public class Global : System.Web.HttpApplication
	{
		public const string LogName = "GlobalLog";

		ArrayList globalLog = new ArrayList();

		public Global()
		{
			InitializeComponent();

			WriteAppLog("Initializing Global.asax.");
		}

		protected void WriteAppLog(string logEntry)
		{
			if (Application != null &&
				Application[LogName] != null)
			{
				globalLog = (ArrayList)Application[LogName];
			}

			globalLog.Add(logEntry);

			if (Application != null)
			{
				Application[LogName] = globalLog;
			}
		}
		
		protected void Application_Start(Object sender, EventArgs e)
		{
			WriteAppLog("Executing Application_Start.");
		}
 
		protected void Session_Start(Object sender, EventArgs e)
		{
			WriteAppLog("Executing Session_Start.");
		}

		protected void Application_BeginRequest(Object sender, EventArgs e)
		{
			WriteAppLog("Executing Application_BeginRequest.");
		}

		protected void Application_EndRequest(Object sender, EventArgs e)
		{
			WriteAppLog("Executing Application_EndRequest.");
		}

		protected void Application_AuthenticateRequest(Object sender, EventArgs e)
		{
			WriteAppLog("Executing Application_AuthenticateRequest.");
		}

		protected void Application_Error(Object sender, EventArgs e)
		{
			WriteAppLog("Executing Application_Error.");
		}

		protected void Session_End(Object sender, EventArgs e)
		{
			WriteAppLog("Executing Session_End.");
		}

		protected void Application_End(Object sender, EventArgs e)
		{
			WriteAppLog("Executing Application_End.");
		}
			
		#region Web Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
		}
		#endregion
	}
}

