using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;

[assembly:TagPrefix("MarqueeControl", "csb")]

namespace MarqueeControl
{
	/// <summary>
	/// Summary description for WebControl1.
	/// </summary>
	[DefaultProperty("Text"), 
		ToolboxData("<{0}:MarqueeHtmlTextWriter runat=server></{0}:MarqueeHtmlTextWriter>")]
	public class MarqueeHtmlTextWriter : System.Web.UI.WebControls.WebControl
	{
		private string text = "Test text";
	
		[Bindable(true), 
			Category("Appearance"), 
			DefaultValue("")] 
		public string Text 
		{
			get
			{
				return text;
			}

			set
			{
				text = value;
			}
		}

		/// <summary> 
		/// Render this control to the output parameter specified.
		/// </summary>
		/// <param name="output"> The HTML writer to write out to </param>
		protected override void Render(HtmlTextWriter output)
		{
			output.WriteBeginTag("marquee");
			output.WriteAttribute("direction", "up");
			output.WriteAttribute("width", "200px");
			output.Write(HtmlTextWriter.TagRightChar);

				output.WriteFullBeginTag("center");

					output.WriteFullBeginTag("p");

						output.Write(Text);

					output.WriteEndTag("p");

				output.WriteEndTag("center");

			output.WriteEndTag("marquee");
		}
	}
}
